Leads
List workspace leads
Returns paginated leads for the workspace, each with the integrations it was sent to and its phone / email verification and OTP status. Supports filtering and search.
GET
/
api
/
v2
/
workspaces
/
{workspaceId}
/
leads
/
get
List workspace leads
curl --request GET \
--url https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/get \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/get"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"leads": [
{
"id": 123,
"userId": 123,
"landerId": 123,
"variantId": 123,
"data": [
{
"key": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"status": "complete",
"source": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"integrations": [
{
"landerIntegrationId": 123,
"name": "<string>",
"typeName": "<string>",
"success": true
}
],
"integrationsCount": 123,
"verification": {
"phone": {
"input": "<string>",
"verified": true,
"checkedAt": "<string>"
},
"email": {
"input": "<string>",
"verified": true,
"checkedAt": "<string>"
},
"phoneOtp": {
"input": "<string>",
"verified": true,
"sentCount": 123,
"attemptCount": 123,
"lastSentAt": "<string>",
"lastAttemptAt": "<string>"
},
"emailOtp": {
"input": "<string>",
"verified": true,
"sentCount": 123,
"attemptCount": 123,
"lastSentAt": "<string>",
"lastAttemptAt": "<string>"
}
}
}
],
"totalCount": 123,
"totalPages": 123,
"hitsPerPage": 123,
"query": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API key with ll_live_ prefix
Query Parameters
Search query
Max 1000
Available options:
partial, complete Available options:
asc, desc JSON array of lander IDs
JSON array of quiz IDs
Was this page helpful?
⌘I
List workspace leads
